Package: pciutils / 1:3.5.2-5

Metadata

Package Version Patches format
pciutils 1:3.5.2-5 3.0 (quilt)

Patch series

view the series file
Patch File delta Description
00 configure.patch | (download)

lib/configure | 10 7 + 3 - 0 !
1 file changed, 7 insertions(+), 3 deletions(-)

---
01 Makefile.patch | (download)

Makefile | 22 18 + 4 - 0 !
lib/Makefile | 11 7 + 4 - 0 !
2 files changed, 25 insertions(+), 8 deletions(-)

---
02 pcimodules.patch | (download)

pcimodules.c | 185 185 + 0 - 0 !
pcimodules.man | 92 92 + 0 - 0 !
2 files changed, 277 insertions(+)

---
03 pci.ids.patch | (download)

pci.ids | 4381 3696 + 685 - 0 !
1 file changed, 3696 insertions(+), 685 deletions(-)

---
04 update pciids.sh.patch | (download)

update-pciids.sh | 165 110 + 55 - 0 !
1 file changed, 110 insertions(+), 55 deletions(-)

---
07 697383 libpci.pc.in.patch | (download)

lib/Makefile | 3 2 + 1 - 0 !
lib/libpci.pc.in | 2 1 + 1 - 0 !
2 files changed, 3 insertions(+), 2 deletions(-)

 libpci-dev: libpci.pc misses -lresolv and -lz for static linking
Date: Fri, 04 Jan 2013 17:31:14 +0100

libpci.pc doesn't seem to be correct for static linking.

  $ pkg-config --libs --static libpci
  -lpci  

It brings no dependencies while -lresolv (and likely -lz) seems needed:

  /usr/lib/gcc/x86_64-linux-gnu/4.7/../../../x86_64-linux-gnu/
   libpci.a(names-net.o):function pci_id_net_lookup:
   error: undefined reference to '__res_query'

Something like:

  Libs.private: -lresolv -lz